%define		module	pkpgcounter

Summary:	Page Description Language parser
Summary(pl.UTF-8):	Analizator języka opisu strony
Name:		python-%{module}
Version:	3.50
Release:	5
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://www.pykota.com/software/pkpgcounter/download/tarballs/%{module}-%{version}.tar.gz
# Source0-md5:	564dd96e8a5433564c2e39319e65217e
Patch0:		pkpgcounter-postscript-multiple-copies.patch
Patch1:		pkpgcounter-stdin-noargs.patch
URL:		http://www.pykota.com/software/pkpgcounter/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-PIL
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pkpgcounter is a generic Page Description Language parser which
can either count the number of pages or compute the percent of
ink coverage needed to print various types of documents.

%description -l pl.UTF-8
pkpgcounter jest ogólnym analizatorem języka opisu strony, który
potrafi policzyć liczbę stron albo procentowe pokrycie atramentem
potrzebne do wydrukowania różnych typów dokumentów.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

# we already have these files in %doc
rm -fr $RPM_BUILD_ROOT%{_docdir}/%{module}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CREDITS NEWS README
%attr(755,root,root) %{_bindir}/pkpgcounter
%dir %{py_sitescriptdir}/pkpgpdls
%{py_sitescriptdir}/pkpgpdls/*.py[co]
%{py_sitescriptdir}/*.egg-info
%{_mandir}/man1/pkpgcounter.1*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pkpgcounter.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0fee785
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 35dbcfe
- automatic change: use py_build/py_install macros

* Wed Nov 27 2013 Jan Rękorajski <baggins@pld-linux.org> 47c8887
- rel 4

* Wed Nov 27 2013 Jan Rękorajski <baggins@pld-linux.org> 7ff6c58
- don't treat "no tty" stdin as if there is data to parse there

* Wed Nov 27 2013 Jan Rękorajski <baggins@pld-linux.org> 63fac0e
- fix page count of postscript files (RHBZ#852410)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 8e3354f
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2811042
- release 2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> f082419
- up to 3.50
- cleaning

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a52204
- release 3

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> 7294ac5
- longer pl desc
- BR: rpm-pythonprov
- use __python macro
- noarch

* Sat Dec 08 2007 Jan Rękorajski <baggins@pld-linux.org> 6b97f53
- rel 2
- BR PIL

* Sat Dec 08 2007 Jan Rękorajski <baggins@pld-linux.org> f5ca6ab
- initial revision

